[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragDockObject.MoveDockImage

Moves an already visible DockRect.

## Declaration

Source position: controls.pp line 445

`protected procedure TDragDockObject.MoveDockImage; virtual;`

## Description

Checks the DockRect for changes against EraseDockRect, to prevent flicker.

Remembers the drawn frame coordinates in EraseDockRect.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.